{ lib
, buildGoModule
, pkgs
, fetchFromGitHub
}:

buildGoModule rec {
  pname = "hacompanion";
  version = "1.0.5";

  src = fetchFromGitHub {
    owner = "tobias-kuendig";
    repo = "hacompanion";
    hash = "sha256-wNxE2TrO/TPVzwyn+LRfu6v9mUf3CeB5vdNNJM4rMAI=";
    rev = "v${version}";
  };

  vendorSha256 = "sha256-ZZ8nxN+zUeFhSXyoHLMgzeFllnIkKdoVnbVK5KjrLEQ=";
}
